Package org.apache.log4j

## Interface ULogger

- All Known Implementing Classes:
    `Log4JULogger`, `NOPULogger`, `SimpleULogger`

      public interface ULogger

  A proxy for org.slf4j.ULogger. In slf4j implementing builds, this interface will extend org.slf4j.ULogger and add no additional methods.
  Author:
    Ceki Gülcü, Curt Arnold

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `debug​(Object msg)` | Log a message object with the DEBUG level.
    `void` | `debug​(Object parameterizedMsg, Object param1)` | Log a parameterized message object at the DEBUG level.
    `void` | `debug​(Object msg, Throwable t)` | Log a message object with the `DEBUG` level including the stack trace of the `Throwable` `t` passed as parameter.
    `void` | `debug​(String parameterizedMsg, Object param1, Object param2)` | Log a parameterized message object at the DEBUG level.
    `void` | `error​(Object msg)` | Log a message object with the ERROR level.
    `void` | `error​(Object parameterizedMsg, Object param1)` | Log a parameterized message object at the ERROR level.
    `void` | `error​(Object msg, Throwable t)` | Log a message object with the `ERROR` level including the stack trace of the `Throwable` `t` passed as parameter.
    `void` | `error​(String parameterizedMsg, Object param1, Object param2)` | Log a parameterized message object at the ERROR level.
    `void` | `info​(Object msg)` | Log a message object with the INFO level.
    `void` | `info​(Object parameterizedMsg, Object param1)` | Log a parameterized message object at the INFO level.
    `void` | `info​(Object msg, Throwable t)` | Log a message object with the `INFO` level including the stack trace of the `Throwable` `t` passed as parameter.
    `void` | `info​(String parameterizedMsg, Object param1, Object param2)` | Log a parameterized message object at the INFO level.
    `boolean` | `isDebugEnabled()` | Is the logger instance enabled for the DEBUG level?
    `boolean` | `isErrorEnabled()` | Is the logger instance enabled for the ERROR level?
    `boolean` | `isInfoEnabled()` | Is the logger instance enabled for the INFO level?
    `boolean` | `isWarnEnabled()` | Is the logger instance enabled for the WARN level?
    `void` | `warn​(Object msg)` | Log a message object with the WARN level.
    `void` | `warn​(Object parameterizedMsg, Object param1)` | Log a parameterized message object at the WARN level.
    `void` | `warn​(Object msg, Throwable t)` | Log a message object with the `WARN` level including the stack trace of the `Throwable` `t` passed as parameter.
    `void` | `warn​(String parameterizedMsg, Object param1, Object param2)` | Log a parameterized message object at the WARN level.

- - ### Method Detail

    - #### isDebugEnabled

          boolean isDebugEnabled()

      Is the logger instance enabled for the DEBUG level?
      Returns:
        true if debug is enabled.

    - #### debug

          void debug​(Object msg)

      Log a message object with the DEBUG level.
      Parameters:
        `msg` - - the message object to be logged

    - #### debug

          void debug​(Object parameterizedMsg,
                     Object param1)

      Log a parameterized message object at the DEBUG level.

      This form is useful in avoiding the superflous object creation problem when invoking this method while it is disabled.

      Parameters:
        `parameterizedMsg` - - the parameterized message object
        `param1` - - the parameter

    - #### debug

          void debug​(String parameterizedMsg,
                     Object param1,
                     Object param2)

      Log a parameterized message object at the DEBUG level.

      This form is useful in avoiding the superflous object creation problem when invoking this method while it is disabled.

      Parameters:
        `parameterizedMsg` - - the parameterized message object
        `param1` - - the first parameter
        `param2` - - the second parameter

    - #### debug

          void debug​(Object msg,
                     Throwable t)

      Log a message object with the `DEBUG` level including the stack trace of the `Throwable` `t` passed as parameter.
      Parameters:
        `msg` - the message object to log.
        `t` - the exception to log, including its stack trace.

    - #### isInfoEnabled

          boolean isInfoEnabled()

      Is the logger instance enabled for the INFO level?
      Returns:
        true if debug is enabled.

    - #### info

          void info​(Object msg)

      Log a message object with the INFO level.
      Parameters:
        `msg` - - the message object to be logged

    - #### info

          void info​(Object parameterizedMsg,
                    Object param1)

      Log a parameterized message object at the INFO level.

      This form is useful in avoiding the superflous object creation problem when invoking this method while it is disabled.

      Parameters:
        `parameterizedMsg` - - the parameterized message object
        `param1` - - the parameter

    - #### info

          void info​(String parameterizedMsg,
                    Object param1,
                    Object param2)

      Log a parameterized message object at the INFO level.

      This form is useful in avoiding the superflous object creation problem when invoking this method while it is disabled.

      Parameters:
        `parameterizedMsg` - - the parameterized message object
        `param1` - - the first parameter
        `param2` - - the second parameter

    - #### info

          void info​(Object msg,
                    Throwable t)

      Log a message object with the `INFO` level including the stack trace of the `Throwable` `t` passed as parameter.
      Parameters:
        `msg` - the message object to log.
        `t` - the exception to log, including its stack trace.

    - #### isWarnEnabled

          boolean isWarnEnabled()

      Is the logger instance enabled for the WARN level?
      Returns:
        true if debug is enabled.

    - #### warn

          void warn​(Object msg)

      Log a message object with the WARN level.
      Parameters:
        `msg` - - the message object to be logged

    - #### warn

          void warn​(Object parameterizedMsg,
                    Object param1)

      Log a parameterized message object at the WARN level.

      This form is useful in avoiding the superflous object creation problem when invoking this method while it is disabled.

      Parameters:
        `parameterizedMsg` - - the parameterized message object
        `param1` - - the parameter

    - #### warn

          void warn​(String parameterizedMsg,
                    Object param1,
                    Object param2)

      Log a parameterized message object at the WARN level.

      This form is useful in avoiding the superflous object creation problem when invoking this method while it is disabled.

      Parameters:
        `parameterizedMsg` - - the parameterized message object
        `param1` - - the first parameter
        `param2` - - the second parameter

    - #### warn

          void warn​(Object msg,
                    Throwable t)

      Log a message object with the `WARN` level including the stack trace of the `Throwable` `t` passed as parameter.
      Parameters:
        `msg` - the message object to log.
        `t` - the exception to log, including its stack trace.

    - #### isErrorEnabled

          boolean isErrorEnabled()

      Is the logger instance enabled for the ERROR level?
      Returns:
        true if debug is enabled.

    - #### error

          void error​(Object msg)

      Log a message object with the ERROR level.
      Parameters:
        `msg` - - the message object to be logged

    - #### error

          void error​(Object parameterizedMsg,
                     Object param1)

      Log a parameterized message object at the ERROR level.

      This form is useful in avoiding the superflous object creation problem when invoking this method while it is disabled.

      Parameters:
        `parameterizedMsg` - - the parameterized message object
        `param1` - - the parameter

    - #### error

          void error​(String parameterizedMsg,
                     Object param1,
                     Object param2)

      Log a parameterized message object at the ERROR level.

      This form is useful in avoiding the superflous object creation problem when invoking this method while it is disabled.

      Parameters:
        `parameterizedMsg` - - the parameterized message object
        `param1` - - the first parameter
        `param2` - - the second parameter

    - #### error

          void error​(Object msg,
                     Throwable t)

      Log a message object with the `ERROR` level including the stack trace of the `Throwable` `t` passed as parameter.
      Parameters:
        `msg` - the message object to log.
        `t` - the exception to log, including its stack trace.